PSP Firmware to play New Gundam and Naruto!

Discussion in 'PSP - Games & Content' started by TheWon, Dec 24, 2009.

Dec 24, 2009
  1. TheWon
    OP

    Member TheWon GBAtemp Fan

    Joined:
    Sep 30, 2008
    Messages:
    382
    Country:
    United States
    I just wanted to know what current PSP custom firmware available? I need to be able to play these 2 games. Gundam VS Gundam Next, and Naruto NA3. I have the games on my PSP, and when I try to start them. They just go back to the PSP menu.
     
  2. asdf

    Member asdf GBAtemp Advanced Fan

    Joined:
    May 20, 2009
    Messages:
    827
    Location:
    Torrance, CA
    Country:
    United States
    5.50 GEN-D3 or 5.03 GEN-C if you have a PSP-3000 or an unhackable 2000
     
  3. Raika

    Member Raika uguu

    Joined:
    Sep 15, 2008
    Messages:
    4,864
    Location:
    uguu
    Country:
    Antarctica
    5.50 GEN-D3, but there's a new decrypter that's already released to make the games work on 5.00 m33-6. I've never tried it though, I'm using D3 now. [​IMG]
     
  4. TheWon
    OP

    Member TheWon GBAtemp Fan

    Joined:
    Sep 30, 2008
    Messages:
    382
    Country:
    United States
    Ok I have a God or War 2000. I just have to look into those firmware. Thank Guys!
     

Share This Page